Debian Bug report logs - #665557
haskell-gtk: Including individual glib headers no longer supported

version graph

Package: src:haskell-gtk; Maintainer for src:haskell-gtk is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: biebl@debian.org

Date: Sat, 24 Mar 2012 19:06:43 UTC

Severity: serious

Tags: fixed-upstream, jessie, sid, upstream

Found in version haskell-gtk/0.12.2-1

Fixed in version haskell-gtk/0.12.4-1

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/gtk2hs/ticket/1262

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#665557; Package src:haskell-gtk. (Sat, 24 Mar 2012 19:06:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to biebl@debian.org:
Extra info received and forwarded to maintainer. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 24 Mar 2012 19:06:46 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: biebl@debian.org
To: maintonly@bugs.debian.org
Subject: haskell-gtk: Including individual glib headers no longer supported
Date: Sat, 24 Mar 2012 20:05:56 +0100
Source: haskell-gtk
Version: 0.12.2-1
Severity: important
User: pkg-gnome-maintainers@lists.alioth.debian.org
Usertags: glib-single-include

Hi,


including invidiual glib headers has been deprecated for several years.

Starting with glib 2.32 it is now mandatory to include glib.h instead
of individual headers [1], or the compiler will generate an error.

With the notable exception of:
 glib/gi18n.h
 glib/gi18n-lib.h
 glib/gprintf.h
 glib/gstdio.h
Those header files are still meant to be included separately.


Development releases of 2.32 (2.31.x) are available in experimental.
During a test-rebuild haskell-gtk failed to build with the new glib [2].

Please update haskell-gtk at your earliest convenience, so once we move
the glib version from experimental to unstable, your package will remain
buildable.

Usually, simply replacing #include <glib/foo.h> with #include <glib.h>
is all that is needed (while keeping the above list of exceptions in
mind)
You can use the glib version from experimental to test if your package
builds correctly.


A simple shell script [3] has been written, that can help you
generate a patch which should fix the includes in most cases.
It's most likely not bug free and very limited, so please check the
resulting patch carefully.


Thanks!

Michael,
on behalf of the Debian GNOME team.

[1] http://git.gnome.org/browse/glib/commit/?id=7455dd370eb37ce3b0b409ff6120501f37b50569
[2] http://people.debian.org/~biebl/glib-single-include/haskell-gtk_0.12.2-1.log
[3] http://people.debian.org/~biebl/fix-glib-includes.sh





Added tag(s) upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 20:15:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://hackage.haskell.org/trac/gtk2hs/ticket/1262'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 20:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#665557; Package src:haskell-gtk. (Sat, 24 Mar 2012 20:27:05 GMT) Full text and rfc822 format available.

Message #12 received at 665557@bugs.debian.org (full text, mbox):

From: "Gtk2Hs" <cvs-ghc@haskell.org>
Cc: gtk2hs-devel@lists.sourceforge.net
Subject: [Gtk2Hs] #1262: Including individual glib headers no longer supported
Date: Sat, 24 Mar 2012 20:13:10 -0000
#1262: Including individual glib headers no longer supported
----------------------------------+-----------------------------------------
 Reporter:  guest                 |       Owner:  somebody
     Type:  defect                |      Status:  new     
 Priority:  normal                |   Milestone:  0.11.0  
Component:  general (Gtk+, Glib)  |     Version:  0.11.0  
 Keywords:                        |  
----------------------------------+-----------------------------------------
 Dear gtk2hs authors,

 at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=665557 there is a
 heads-up bug report against gtk2hs that including individual glib headers
 will stop working with glib 2.32, and the Haskell bindings do not compile
 against these versions. I’d appreciate a release that builds with these
 versions in time. See http://people.debian.org/~biebl/glib-single-include
 /haskell-gtk_0.12.2-1.log for a failing build.

 Thanks,
 Joachim

-- 
Ticket URL: <http://hackage.haskell.org/trac/gtk2hs/ticket/1262>
Gtk2Hs <http://haskell.org/gtk2hs/>
The Gtk2Hs project




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#665557; Package src:haskell-gtk. (Thu, 21 Jun 2012 09:30:04 GMT) Full text and rfc822 format available.

Message #15 received at 665557@bugs.debian.org (full text, mbox):

From: "Gtk2Hs" <cvs-ghc@haskell.org>
Cc: gtk2hs-devel@lists.sourceforge.net
Subject: Re: [Gtk2Hs] #1262: Including individual glib headers no longer supported
Date: Thu, 21 Jun 2012 08:35:40 -0000
#1262: Including individual glib headers no longer supported
----------------------------------+-----------------------------------------
 Reporter:  guest                 |       Owner:  somebody
     Type:  defect                |      Status:  new     
 Priority:  normal                |   Milestone:  0.11.0  
Component:  general (Gtk+, Glib)  |     Version:  0.11.0  
 Keywords:                        |  
----------------------------------+-----------------------------------------

Comment(by guest):

 This caused a build failure in Ubuntu quantal:
 https://bugs.launchpad.net/ubuntu/+source/haskell-gtk/+bug/1014932

-- 
Ticket URL: <http://hackage.haskell.org/trac/gtk2hs/ticket/1262#comment:1>
Gtk2Hs <http://haskell.org/gtk2hs/>
The Gtk2Hs project




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#665557; Package src:haskell-gtk. (Tue, 17 Jul 2012 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Bicha <jbicha@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 17 Jul 2012 03:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 665557@bugs.debian.org (full text, mbox):

From: Jeremy Bicha <jbicha@ubuntu.com>
To: 665557@bugs.debian.org
Subject: Patch for haskell-gtk: Including individual glib headers no longer supported
Date: Mon, 16 Jul 2012 23:16:31 -0400
[Message part 1 (text/plain, inline)]
Here's a patch that fixes the build with glib 2.32.

Jeremy
[glib-single-include.patch (application/octet-stream, attachment)]

Marked as fixed in versions haskell-gtk/0.12.4-1. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 16 Dec 2012 03:27:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 11 Apr 2013 16:45:19 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 08 May 2013 10:27:40 GMT) Full text and rfc822 format available.

Added tag(s) sid and jessie. Request was from peter green <plugwash@p10link.net> to control@bugs.debian.org. (Thu, 09 May 2013 23:21:07 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 28 May 2013 23:48:05 GMT) Full text and rfc822 format available.

Notification sent to biebl@debian.org:
Bug acknowledged by developer. (Tue, 28 May 2013 23:48:05 GMT) Full text and rfc822 format available.

Message #33 received at 665557-done@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 665557-done@bugs.debian.org
Subject: Re: fixed 665557 in 0.12.4-1
Date: Wed, 29 May 2013 00:44:38 +0100
On Sun, Dec 16, 2012 at 04:23:47AM +0100, Michael Biebl wrote:
> fixed 665557 0.12.4-1
> thanks

Since this version is now in unstable too and has built on several
architectures, closing this bug.

-- 
Colin Watson                                       [cjwatson@debian.org]



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Dec 2013 07:35:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:45:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.